# $Revision: 1.14.2.4 $, $Date: 2007/03/28 16:41:37 $
Summary:	Timezone data
Summary(pl):	Dane o strefach czasowych
Name:		tzdata
Version:	2007d
Release:	1
License:	GPL
Group:		Base
Source0:	%{name}-base-0.tar.bz2
# Source0-md5:	906a4c98cc5240f416524a256b039c42
Source1:	ftp://elsie.nci.nih.gov/pub/%{name}%{version}.tar.gz
# Source1-md5:	05ba08b08c773cd26b74a94205bf397f
Source2:	ftp://elsie.nci.nih.gov/pub/tzcode%{version}.tar.gz
# Source2-md5:	f63d242016ce0da0bafc0867e2824ad9
Source3:	timezone.init
Source4:	timezone.sysconfig
BuildRequires:	gawk
BuildRequires:	perl-base
BuildRequires:	rpmbuild(macros) >= 1.228
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts >= 0.4.1.4
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains data files with rules for various timezones
around the world.

%description -l pl
Ten pakiet zawiera pliki z danymi na temat regu stref czasowych na
caym wiecie.

%package zoneinfo_right
Summary:	Non-POSIX (real) time zones
Summary(es):	Zonas de tiempo reales (no de POSIX)
Summary(pl):	Nie-POSIX-owe (prawdziwe) strefy czasowe
Group:		Libraries
Obsoletes:	glibc-zoneinfo_right

%description zoneinfo_right
You don't want this. Details at:
<http://sources.redhat.com/ml/libc-alpha/2000-12/msg00068.html>.

%description zoneinfo_right -l es
No lo necesita. Encontrar los detalles en:
<http://sources.redhat.com/ml/libc-alpha/2000-12/msg00068.html>.

%description zoneinfo_right -l pl
Nie potrzebujesz tego. Szczegy pod:
<http://sources.redhat.com/ml/libc-alpha/2000-12/msg00068.html>.

%prep
%setup -q -n %{name}
mkdir %{name}%{version}
%{__tar} xzf %{SOURCE1} -C %{name}%{version}
mkdir tzcode%{version}
%{__tar} xzf %{SOURCE2} -C tzcode%{version}

sed -e "
s|@objpfx@|`pwd`/obj/|
s|@datadir@|%{_datadir}|
s|@install_root@|$RPM_BUILD_ROOT|
" Makeconfig.in > Makeconfig

grep -v tz-art.htm tzcode%{version}/tz-link.htm > tzcode%{version}/tz-link.html

%build
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{sysconfig,rc.d/init.d}

%{__make} install

: ====================TESTING=========================
%{__make} check \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} %{rpmldflags}"
: ====================TESTING END=====================


# glibc.spec didn't keep it. so won't here either.
rm -rf $RPM_BUILD_ROOT%{_datadir}/zoneinfo/posix
# behave more like glibc.spec
ln -sf %{_sysconfdir}/localtime	$RPM_BUILD_ROOT%{_datadir}/zoneinfo/localtime
ln -sf localtime $RPM_BUILD_ROOT%{_datadir}/zoneinfo/posixtime
ln -sf localtime $RPM_BUILD_ROOT%{_datadir}/zoneinfo/posixrules

> $RPM_BUILD_ROOT/etc/localtime

install %{SOURCE3} $RPM_BUILD_ROOT/etc/rc.d/init.d/timezone
cp -a %{SOURCE4} $RPM_BUILD_ROOT/etc/sysconfig/timezone

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add timezone
%service timezone restart

%preun
if [ "$1" = "0" ]; then
	/sbin/chkconfig --del timezone
fi

%triggerpostun -- rc-scripts < 0.4.1.4
/sbin/chkconfig --add timezone

%files
%defattr(644,root,root,755)
%doc tzcode%{version}/README tzcode%{version}/Theory tzcode%{version}/tz-link.html
%ghost /etc/localtime
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/timezone
%attr(754,root,root) /etc/rc.d/init.d/timezone

%{_datadir}/zoneinfo
%exclude %{_datadir}/zoneinfo/right

%files zoneinfo_right
%defattr(644,root,root,755)
%{_datadir}/zoneinfo/right

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: tzdata.spec,v $
Revision 1.14.2.4  2007/03/28 16:41:37  glen
- 2007d

Revision 1.14.2.3  2007/03/08 14:01:46  glen
- trigger when migrating from rc-scripts; rel 2

Revision 1.14.2.2  2007/02/28 22:00:13  glen
- HEAD merge

Revision 1.20  2007/02/28 16:13:41  glen
- 2007c

Revision 1.19  2007/02/25 01:07:24  glen
- timezone initscript moved here; rel 2

Revision 1.18  2007/02/13 22:58:53  glen
- 2007b

Revision 1.17  2007/02/12 22:09:18  glen
- tabs in preamble

Revision 1.16  2007/02/12 01:06:35  baggins
- converted to UTF-8

Revision 1.15  2007/02/06 19:54:42  arekm
- rel 2; package /etc/localtime

Revision 1.14  2007/01/29 00:25:26  glen
- 2007a

Revision 1.13  2006/11/30 20:36:56  qboosh
- updated to 2006p

Revision 1.12  2006/11/25 19:27:36  qboosh
- updated to 2006o

Revision 1.11  2006/10/31 23:13:44  glen
- 2006n

Revision 1.10  2006/07/30 14:46:11  sparky
- pass __cc, rpmcflags and rpmldflags to make check

Revision 1.9  2006/05/24 07:45:54  qboosh
- unified

Revision 1.8  2006/05/17 12:56:58  glen
- be more like glibc.spec

Revision 1.7  2006/05/16 21:49:58  glen
- separate zoneinfo_right like in glibc

Revision 1.6  2006/05/16 21:32:07  glen
- upstream 2006g

Revision 1.5  2006/04/09 12:23:09  glen
- updated to 2006c

Revision 1.4  2006/04/09 12:15:28  glen
- adapter is smart

Revision 1.3  2006/04/08 20:52:31  darekr
- remove BR glibc-devel which is required by rpm-build

Revision 1.2  2005/04/25 20:48:08  qboosh
- pl

Revision 1.1  2005/04/24 14:52:56  patrys
- Initial PLD release
